/*
        Copyright (c) 2004 on behalf of the EU EGEE Project:
        The European Organization for Nuclear Research (CERN),
        Istituto Nazionale di Fisica Nucleare (INFN), Italy
        Datamat Spa, Italy
        Centre National de la Recherche Scientifique (CNRS), France
        CS Systeme d'Information (CSSI), France
        Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
        Universiteit van Amsterdam (UvA), Netherlands
        University of Helsinki (UH.HIP), Finland
        University of Bergen (UiB), Norway
        Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom

        AbsException: a C++ parent class for all request exceptions
        Authors: Alvise Dorigo <alvise.dorigo@pd.infn.it>
        Version info: $Id: AbsException.h,v 1.11 2005/12/19 16:20:27 adorigo Exp $
*/

#ifndef __GLITE_CE_MONITOR_CLIENT_ABSEXCEPTION_H__
#define __GLITE_CE_MONITOR_CLIENT_ABSEXCEPTION_H__

#include <string>
#include <exception>

/// Base class for all faults not generated by CEMonitor.
/**
        This class is the base for all SOAP faults not generated by the CEMonitor services.\n
	This class is not instantiable.
	\sa ServiceNotFoundException
	\sa GeneralException
	\sa AuthenticationException
*/
class AbsException : public std::exception {
 private:
  std::string cause;
  
 public:
  AbsException(const std::string& _cause) throw() : cause(_cause) {}
  virtual ~AbsException() throw() {}
  
  const char* what() const throw() { return cause.c_str(); }
};

#endif
