/*
        Copyright (c) 2004 on behalf of the EU EGEE Project:
        The European Organization for Nuclear Research (CERN),
        Istituto Nazionale di Fisica Nucleare (INFN), Italy
        Datamat Spa, Italy
        Centre National de la Recherche Scientifique (CNRS), France
        CS Systeme d'Information (CSSI), France
        Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
        Universiteit van Amsterdam (UvA), Netherlands
        University of Helsinki (UH.HIP), Finland
        University of Bergen (UiB), Norway
        Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom

        AuthenticationInitException.h: a C++ Exception related to un-availability of the serviceURL set by user
        Authors: Alvise Dorigo <alvise.dorigo@pd.infn.it>
        Version info: $Id: AuthenticationInitException.h,v 1.3 2007/12/14 11:02:37 adorigo Exp $
*/


#ifndef __GLITE_CE_MONITOR_CLIENT_AUTHNINITEXCEPTION_H__
#define __GLITE_CE_MONITOR_CLIENT_AUTHNINITEXCEPTION_H__

#include "glite/ce/monitor-client-api-c/AbsException.h"
#include <string>

/// Exception for soap_authn init errors
namespace glite {
namespace ce {
namespace monitor_client_api {
namespace cemon_exceptions {

class AuthenticationInitException : public AbsException
{
 public:
  AuthenticationInitException(const std::string& _cause) throw() : AbsException(_cause) {}
  virtual ~AuthenticationInitException() throw() {};
};
}
}
}
}

#endif
