/*
        Copyright (c) 2004 on behalf of the EU EGEE Project:
        The European Organization for Nuclear Research (CERN),
        Istituto Nazionale di Fisica Nucleare (INFN), Italy
        Datamat Spa, Italy
        Centre National de la Recherche Scientifique (CNRS), France
        CS Systeme d'Information (CSSI), France
        Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
        Universiteit van Amsterdam (UvA), Netherlands
        University of Helsinki (UH.HIP), Finland
        University of Bergen (UiB), Norway
        Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom

        Dialect: a wrapper class to handle dialects

        Authors: Alvise Dorigo <alvise.dorigo@pd.infn.it>
        Version info: $Id: Dialect.h,v 1.14 2007/12/14 11:02:37 adorigo Exp $
*/

#ifndef __GLITE_CE_MONITOR_CLIENT_DIALECT_H__
#define __GLITE_CE_MONITOR_CLIENT_DIALECT_H__

#include "glite/ce/monitor-client-api-c/monitor_client_CEMON_CLIENTStub.h"
#include <string>

namespace glite {
namespace ce {
namespace monitor_client_api {
namespace soap_proxy {

class DialectW : public monitortypes__Dialect {

  DialectW& operator=(const DialectW&) {return *this; }
  DialectW& operator=(const monitortypes__Dialect&) {return *this; }
  DialectW( const monitortypes__Dialect&) {}

 protected:
  
 public:
  DialectW(const std::string& name);
  DialectW(const DialectW&);

  virtual ~DialectW(void) throw();

  int         getNumberOfQueryLanguages(void) const;
  std::string getQueryLanguageAt(const int&) const;
  std::string getDialectName(void) const;
  void        setDialectName(const std::string&);
  void        setQueryLanguageAt(const int&, const std::string&);
  int         addQueryLanguage(const std::string);
  void        print(void);
};
}
}
}
}
#endif
