/*
        Copyright (c) 2004 on behalf of the EU EGEE Project:
        The European Organization for Nuclear Research (CERN),
        Istituto Nazionale di Fisica Nucleare (INFN), Italy
        Datamat Spa, Italy
        Centre National de la Recherche Scientifique (CNRS), France
        CS Systeme d'Information (CSSI), France
        Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
        Universiteit van Amsterdam (UvA), Netherlands
        University of Helsinki (UH.HIP), Finland
        University of Bergen (UiB), Norway
        Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom

        Property: a class to handle properties for actions

        Authors: Alvise Dorigo <alvise.dorigo@pd.infn.it>
        Version info: $Id: Property.h,v 1.11 2007/12/14 11:02:37 adorigo Exp $
*/

#ifndef __GLITE_CE_MONITOR_CLIENT_PROPERTY_H__
#define __GLITE_CE_MONITOR_CLIENT_PROPERTY_H__

#include "glite/ce/monitor-client-api-c/monitor_client_CEMON_CLIENTStub.h"
#include <string>
#include <iostream>

#define PROPERTY monitortypes__Property

namespace glite {
  namespace ce {
    namespace monitor_client_api {
      namespace soap_proxy {

class ActionW;

class PropertyW : public PROPERTY {

  //friend class ActionW;

 protected:
  PropertyW(const PROPERTY&);
  PropertyW& operator=(const PropertyW&);

 public:
  PropertyW(const std::string& name, const std::string& value);
  virtual ~PropertyW() {/*std::cerr<<"~PropertyW..."<<std::endl;*/}
  std::string getPropertyName(void) const;
  std::string getPropertyValue(void) const;
  void setPropertyName(const std::string&);
  void setPropertyValue(const std::string&);
};
      }
    }
  }
}
#endif
