/*
        Copyright (c) 2004 on behalf of the EU EGEE Project:
        The European Organization for Nuclear Research (CERN),
        Istituto Nazionale di Fisica Nucleare (INFN), Italy
        Datamat Spa, Italy
        Centre National de la Recherche Scientifique (CNRS), France
        CS Systeme d'Information (CSSI), France
        Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
        Universiteit van Amsterdam (UvA), Netherlands
        University of Helsinki (UH.HIP), Finland
        University of Bergen (UiB), Norway
        Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom

        Query: a class to handle Query

        Authors: Alvise Dorigo <alvise.dorigo@pd.infn.it>
        Version info: $Id: Query.h,v 1.11 2007/12/14 11:02:37 adorigo Exp $
*/

#ifndef __GLITE_CE_MONITOR_CLIENT_QUERY_H__
#define __GLITE_CE_MONITOR_CLIENT_QUERY_H__

#include "glite/ce/monitor-client-api-c/monitor_client_CEMON_CLIENTStub.h"
#include <string>

#define QUERY monitortypes__Query

namespace glite {
  namespace ce {
    namespace monitor_client_api {
      namespace soap_proxy {

class Policy;

class QueryW : public QUERY {

  //friend class Policy;

 protected:
  QueryW(const QUERY&) {}
  QueryW& operator=(const QueryW&) { return *this; }
  QueryW& operator=(const QUERY&) { return *this; }

public:
   QueryW();
   QueryW(const std::string&, const std::string&);
   QueryW(const QueryW&);

   virtual ~QueryW() {}

   std::string getExpression(void) const;
   std::string getQueryLanguage(void) const;
   void        setExpression(const std::string&);
   void        setQueryLanguage(const std::string&);
};
      }
    }
  }
}

#endif
