/*
        Copyright (c) 2004 on behalf of the EU EGEE Project:
        The European Organization for Nuclear Research (CERN),
        Istituto Nazionale di Fisica Nucleare (INFN), Italy
        Datamat Spa, Italy
        Centre National de la Recherche Scientifique (CNRS), France
        CS Systeme d'Information (CSSI), France
        Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
        Universiteit van Amsterdam (UvA), Netherlands
        University of Helsinki (UH.HIP), Finland
        University of Bergen (UiB), Norway
        Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom

        ServiceNotFoundException.h: a C++ Exception related to un-availability of the serviceURL set by user
        Authors: Alvise Dorigo <alvise.dorigo@pd.infn.it>
        Version info: $Id: ServiceNotFoundException.h,v 1.9 2007/12/14 11:02:37 adorigo Exp $
*/


#ifndef __GLITE_CE_MONITOR_CLIENT_SERVICEEXCEPTION_H__
#define __GLITE_CE_MONITOR_CLIENT_SERVICEEXCEPTION_H__

#include "glite/ce/monitor-client-api-c/AbsException.h"
#include <string>

namespace glite {
  namespace ce {
    namespace monitor_client_api {
      namespace cemon_exceptions {
	/// Exception for connection-related faults
	/**
	   An object of this class is usually raised when the service's address is wrong, or the host is unreachable (e.g. for network problem), or the host refused the connection (e.g. wrong or filtered tcp port) etc. Also the case of wrong context root of the service is handled by raising this exception.
	*/
	
	class ServiceNotFoundException : public AbsException
	  {
	  public:
	    /// Creates a ServiceNotFoundException with an error message
	    ServiceNotFoundException(const std::string& cause) throw() : AbsException(cause) {}
	    virtual ~ServiceNotFoundException() throw() {}
	  };
      }
    }
  }
}

#endif
